********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### gmtran ###
c
c     Transposes an array A and stores it in ATR. 
       subroutine gmtran(a,atr,n,m)
      implicit integer*4 (i-n)
       implicit real*8 (a-h,o-z)
       dimension a(*),atr(*)

       ir=0
       do i=1,n
          ij=i-n
          do j=1,m
             ij=ij+n
             ir=ir+1
             atr(ir)=a(ij)
          enddo
       enddo

       return
       end
